import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-30 14:44
 */
export interface MsCoreMonitorLog{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * name
    * @type { string }
    */
    name?: string;
    /**
    * 监控地址
    * @type { string }
    */
    healthCheckUrl?: string;
    /**
    * 创建人ID
    * @type { string }
    */
    createUserId?: string;
    /**
    * 修改人ID
    * @type { string }
    */
    updateUserId?: string;
    /**
    * next_check_time
    * @type { Date }
    */
    nextCheckTime?: Date;
    /**
    * last_check_result
    * @type { string }
    */
    lastCheckResult?: string;
    /**
    * failure_count
    * @type { number }
    */
    failureCount?: number;
    /**
    * redeploy_count
    * @type { number }
    */
    redeployCount?: number;
    /**
    * redeploy_time
    * @type { Date }
    */
    redeployTime?: Date;
    /**
    * state
    * @type { number }
    */
    state?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class MsCoreMonitorLogMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','name');
    }
    static get HEALTH_CHECK_URL(): FieldInfo{  
        return new FieldInfo('healthCheckUrl','监控地址');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人ID');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','修改人ID');
    }
    static get NEXT_CHECK_TIME(): FieldInfo{  
        return new FieldInfo('nextCheckTime','next_check_time');
    }
    static get LAST_CHECK_RESULT(): FieldInfo{  
        return new FieldInfo('lastCheckResult','last_check_result');
    }
    static get FAILURE_COUNT(): FieldInfo{  
        return new FieldInfo('failureCount','failure_count');
    }
    static get REDEPLOY_COUNT(): FieldInfo{  
        return new FieldInfo('redeployCount','redeploy_count');
    }
    static get REDEPLOY_TIME(): FieldInfo{  
        return new FieldInfo('redeployTime','redeploy_time');
    }
    static get STATE(): FieldInfo{  
        return new FieldInfo('state','state');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


